$j(document).ready(function ()
{
  // клик по кнопке далее
  $j('body').on('click','i.next_question',function(){go_next_tiket()}) ;

  // клик по ответу на вопрос
  $j('body').on('click','div.answer',function()
  {  if ($j(this).closest('div.tiket').hasClass('f1')) return  ;
     $j(this).closest('div.tiket').addClass('f1') ;
     $j(this).closest('div.tiket').find('div.answer').addClass('unselected');
     $j(this).removeClass('unselected') ;

     fix_question_status(this) ;

     var tiket=$j('div.tiket.current') ;
     if ($j(this).attr('answer_id'))
       {
         send_ajax_request({cmd:"poll/get_questions",
                            answer_id:$j(this).attr('answer_id'),
                            next_tiket:$j(tiket).attr('next_tiket')
                           }) ;
         go_next_tiket($j(this).attr('next_tiket')) ;
       }
      else go_next_tiket($j(tiket).attr('next_tiket'))
  }) ;

  // клик по баллу ответа
  $j('body').on('click','div#panel_answer_by_ball div.item',function()
  {   if ($j(this).closest('div.tiket').hasClass('f1')) return  ;
      $j(this).closest('div.tiket').addClass('f1') ;

      $j(this).attr('disabled',true) ;
      $j('div#panel_answer_by_ball div.item').removeClass('selected').addClass('unselected') ;
      $j(this).removeClass('unselected').addClass('selected') ;

      fix_question_ball(this) ;
      var tiket=$j('div.tiket.current') ;
      go_next_tiket($j(tiket).attr('next_tiket'))
  }) ;

  // таймер на время ответа
  start_timer() ;


});

function go_next_tiket(next_tiket='')
 {   // останавливаем таймер
     $j('#countdown').timeTo('stop');

     var tiket=$j('div.tiket.current') ;
     // показываем правильный ответ, также это будет блокировать клик по ответу
     // добавлено - при клике на правильный ответ не подсвечивать неправилные ответы
     var pause="2s" ;


     $j(tiket).oneTime(pause, function()
     {
        // добаляем анимацию
        $j(tiket).fadeOut(500,function(){

            // скрываем текущую панель
            $j(tiket).hide().removeClass('current') ;

            console.log($j(tiket)) ;
            console.log('next_tiket='+next_tiket) ;

            if (next_tiket)
            { // показываем слудующую панель
              $j('div#'+next_tiket).show().addClass('current') ;
              // запускаем повторно таймер
              start_timer() ;
            }
            else
            {
                // скрываем текущую панель
                $j('div#the_end').show() ;
                $j('div#countdown').hide() ;

                //send_ajax_request('poll/fixed_poll_status') ;
                var options = {
                        url:       server_url+'/services/poll/result/',         // override for form's 'action' attribute
                        type:      'post',        // 'get' or 'post', override for form's 'method' attribute
                        //dataType:  'json',        // 'xml', 'script', or 'json' (expected server response type)
                        clearForm: true,        // clear all form fields after successful submit
                        resetForm: true,        // reset the form after successful submit
                        success:    function() {
                                                  $j('div#the_end div.icon').html('<i class="fas fa-check"></i>') ;
                                                  $j('div#the_end div.status').html('Результаты сохранены')
                                                  console.log('ajaxSuccess') ;
                                                  sendAppEvent('media-content-ended') ;
                                               },
                        // $.ajax options can be used here too, for example:
                        //timeout:   3000
                    };

                $j('#form').ajaxSubmit(options);
                console.log('ajaxSubmit') ;
            }
        });


     }) ;
 }

 function fix_question_status(el)
 {   //if ($j('div.tiket.current').hasClass('show_correct')) return ;
     //if ($j('div.tiket.current').hasClass('show_only_correct')) return ;
     $j(el).find('input').val(1) ; // помечаем выбранный ответ
 }

  function fix_question_ball(el)
 {   //if ($j('div.tiket.current').hasClass('show_correct')) return ;
     //if ($j('div.tiket.current').hasClass('show_only_correct')) return ;
     console.log(el) ;
     var ball=$j(el).attr('ball') ;
     console.log(ball) ;
     $j(el).closest('#panel_answer_by_ball').find('input').val(ball) ; // помечаем выбранный ответ

 }

 function start_timer()
 {
     $j('#countdown').timeTo({ seconds:50,
                               countdown: true,
                               callback: go_next_tiket
                             });
 }

